title: Contract cluster
type: object
description: Represents a contract cluster
properties:
  name:
    type: string
  cloudProvider:
    type: string
  numNodes:
    type: integer
  numCpus:
    type: integer
  memory:
    type: integer
  storage:
    type: number
  location:
    type: string